Subject: Re: linux-next: Requirements and process

From: Randy Dunlap <[email-masked]>
Date: Tue, 22 Jul 2008 15:31:14 -0700

On Sat, 3 May 2008 16:07:24 +1000 Stephen Rothwell wrote:

> In case it isn't clear, I need to be told where I can get a particular
> tree from and who should be contacted in case of problems (I do not troll
> through the MAINTAINERS file).  I can currently handle git trees and
> quilt series.  I am willing to consider other formats/scms.  I also do
> not mind having multiple trees (or branches or series files) for a single
> subsystem/maintainer.
> 
> Series files must be annotated with an indication of the place in Linus'
> tree that they are based on using the following format:
> 
> # BASE <some identification of a place in Linus' tree>
> 
> This base can be a SHA1 or a release tag or one of the ...-git<n> or the
> output from "git describe".  Alternatively, you can be based on another
> tree in linux-next by using:
> 
> # NEXT_BASE <name of a tree in linux-next>

What do we use for BASE or NEXT_BASE if the base tree is linux-next?
Just don't use these annotations?

> The names are in the Next/Trees file in each release and normally do not
> change.
> 
> Also you may (if you like) delimit the parts of the series you want in
> linux-next by using:
> 
> # NEXT_PATCHES_START
> .
> .
> # NEXT_PATCHES_END
> 
> There can be multiple such sections.

---
~Randy
Linux Plumbers Conference, 17-19 September 2008, Portland, Oregon USA
http://linuxplumbersconf.org/